Last call to make your voice heard! Our 2022 Developer Survey closes in less than a week. Take survey.

Questions tagged [updating]

Use it for questions about updating Drupal core and contributed modules.

Filter by
Sorted by
Tagged with
0 votes
0 answers
31 views

Module is required but can't uninstall because incompatible with core

I seem to be stuck with with a catch22, I updated from Drupal 8 to 9 and now I'm getting an error on many admin pages: 'The module t7_starbase does not exist or is not installed.' drush pm-enable ...
user avatar
  • 527
-3 votes
1 answer
26 views

Error while updb, how to debug it?

I've updated opigno_lms to 2.29 version without any problems by composer and then "drush updb", then installed 3.0.2 version through composer, but "drush updb" gives me: [notice] ...
user avatar
  • 173
2 votes
1 answer
60 views

Shouldn't hook_update to add a new field to an entity use the field definition from the entity class?

I was writing an update hook to add a new field to a custom entity and was following the pattern shown here https://www.drupal.org/node/2554097 /** * Add 'revision_translation_affected' field to '...
user avatar
  • 882
0 votes
1 answer
85 views

Migrate PHP version - The "" plugin does not exist

I'm using Drupal 9.3.11 on PHP 7.3. Site is running perfectly. I need upgrade to PHP 8, but I am getting this error. Drupal\Component\Plugin\Exception\PluginNotFoundException: The "" plugin ...
user avatar
  • 141
-2 votes
1 answer
94 views

How can I install centreon/centreon?

My website is built with Drupal 8.3.2. I want to update to to Drupal 8.9.x, but I don't want to move to Drupal 9.x. I ran the following command. composer update drupal/core-recommended:8.9 --with-...
user avatar
2 votes
0 answers
64 views

How can I update an entity with a .yml file?

I see that EntityDefinitionUpdateManager::applyUpdates() has been removed. Every time I add a new field to a .yml file or I add a new node.type.yml to the configuration directory in a module I am ...
user avatar
1 vote
0 answers
33 views

Update.php gets "The page isn’t redirecting properly" error page

I recently moved our site to a new hosting company. After uploading all the files and importing the database I get this notice when I try to Run Updates and/or accessing the update.php page. The ...
user avatar
1 vote
2 answers
32 views

security updates reported but not actually available (recommended==installed)

I installed Drupal 9.3.6. At /admin/reports/status, I see the error: There are security updates available for one or more of your modules or themes and at /admin/modules/update, two modules are ...
user avatar
  • 149
0 votes
0 answers
35 views

Mismatch in php version status vs php -v [duplicate]

I have multiple versions (7.2 and 7.4) on my ubuntu box and recently set the server to use 7.4 so that I could upgrade Drupal from 8.9 to 9.x. Drupal reports/status shows my php version as 7.2, where ...
user avatar
  • 121
0 votes
0 answers
35 views

Problems with core update from 7.83 to 7.8x

Since a few weeks I have problems with the drupal core update. I am on version 7.83 and as 7.84 was released I've tried to install it as usual, (clear everything beside the sides folder an some theme ...
user avatar
  • 1
0 votes
0 answers
30 views

Upgrade notification urge me to "upgrade" a module to the currently using version

The below image is in Chinese so you might not understand. But in this screen, Drupal urge me to install PHP (PHP filter) version 8.x-1.1 while showing the currently installed version already is 8.x-1....
user avatar
1 vote
1 answer
92 views

How do I update a Lightsail server?

I have decided I want to learn Drupal. To that end, I fired up an AWS Lightsail server with a Drupal site, to play around with. Having taken AWS's default Drupal 9 install and logged in, it is ...
user avatar
-1 votes
1 answer
155 views

Updated from Drupal 8.9.20 to 9.0.0, but can't run update.php due to errors

Here's what I get when attempted to run update.php: Requirements problem Errors found MISSING UPDATES FOR: SYSTEM The installed version of the System module is too old to update. Update to a version ...
user avatar
  • 1
4 votes
3 answers
793 views

Module is not longer supported on Drupal 8 but requires 8?

I'm updating a Drupal 8 site that hasn't been touched in about a year (just updated to 8.9.12). One of the module updates is Menu Token. The module page reads: Drupal 7.x and 8.x versions No longer ...
user avatar
  • 819
1 vote
1 answer
102 views

How do I switch from a recommended release to a development snapshot?

Is there a non-Drush, Ludwig way to switch from the recommended release of a module to a development snapshot in Drupal 9, for example copying the development snapshot files and run update.php? The ...
user avatar
0 votes
0 answers
26 views

Altering menu machine-name

A website I'm inherited somehow has a menu which has an underscore in it's machine name. In my attempt to alter that machine name, I found this post and created the following update function: function ...
user avatar
  • 1,710
-3 votes
1 answer
281 views

Upgrading from 8.9.19 to 9 fails because of root composer.json require (^8.8.0)

My upgrade is failing. I am at 8.9.19 and I used upgrade-status to make sure all my modules are compatible with next major core version. I am following instructions at https://www.drupal.org/docs/...
user avatar
  • 387
0 votes
0 answers
23 views

Ajax message after node save

I am trying to add a Ajax Alert or popup message inside a hook_node_presave or hook_node_update, but it is not working. My current code look like this, but I have tried a lot of other ajax $response = ...
user avatar
1 vote
1 answer
169 views

Fatal error: Cannot redeclare Drupal\views\Routing\ViewPageController::getTitle()

I have updated Drupal 9.0.1 to 9.2.2 via Composer. After updating, I am getting a fatal error. Fatal error: Cannot redeclare Drupal\views\Routing\ViewPageController::getTitle() in /var/www/html/...
user avatar
0 votes
0 answers
63 views

Upgrading core from 8.7.10 to 8.9.16

My current site version is running on Drupal 8.7.10 and I want to upgrade it to 8.9.16. I backed up all the files and folders. Should I backup the Pathauto module, update the new Pathauto module, and ...
user avatar
0 votes
0 answers
29 views

Update installs a beta version [duplicate]

I'm trying to update Drupal from 9.1.8 to 9.1.9. However, running a composer update jumps to 9.2-beta2. I'm not sure how to fix it so that it sticks to the recommended version. My composer.json has ...
user avatar
  • 480
4 votes
1 answer
876 views

What is the best practice for handling abandoned packages required by the drupal core?

When I run composer update on a Drupal 9 website, I get this warning: Package doctrine/reflection is abandoned, you should avoid using it. Use roave/better-reflection instead. A similar question has ...
user avatar
  • 14.7k
0 votes
0 answers
45 views

Swiftmailer prevent composer updates

I have an issue with composer and Drupal 8.9.13. When I try to update Drupal, I always get the next error and I don't find a way to solve it: #$> php -d memory_limit=-1 composer.phar update drupal/...
user avatar
  • 582
0 votes
0 answers
26 views

Adding a new view to an existing module

I am trying to add a new view to an existing module. I created the view using Views UI and exported its YML to the 'config/optional' folder. If I install the module for the first time, the view is ...
user avatar
2 votes
1 answer
79 views

Which releases are supported with semantic versioning of modules?

I have a site running Drupal 8.9.13. I have enabled email notification for "only security updates" and it generally works well - I get a mail for "urgent things" otherwise I wait ...
user avatar
  • 767
0 votes
0 answers
26 views

Issues with manual update from 7.77 to 7.78 on cPanel with PHP 7.4

I have been manually been doing Drupal 7 and 8 updates on cPanel for many years. I carefully read what files need to be updated and what files need to stay. Recently, there was an update to PHP 7.4. I ...
user avatar
0 votes
0 answers
55 views

After the update 8.7.14 to 8.8, the File module causes error when uploading a file

After updating Drupal 8.7.14 to 8.8, I have a problem with the File module: When I upload a file, I get the This value cannot be zero error message. The file is however present in the site/default/...
user avatar
3 votes
2 answers
141 views

When "drush updatedb" is executed, are scripts cached by OPCache invalidated?

For sites that have PHP OPCache enabled: Does updating site using Drush require restarting the webserver to invalidate the scripts cached by OPCache? Does Drupal core or Drush invalidate OPCache ...
user avatar
  • 434
0 votes
0 answers
294 views

Failed to update database after upgrading to 8.9.13

I'm new to drupal and was recently tasked with upgrading the drupal core version of one of our sites. I upgraded from 8.3 to 8.9.13 and everything went smooth enough until it came time to update the ...
user avatar
0 votes
0 answers
94 views

upgrade from 8.9.2 to 9.1.0

I have a drupal 8.9.2 installation with many modules. I ran upgrade_status and applied patches or upgraded modules to dev version like suggested. fhebert@fhebert-communication:/var/www/domain.com$ ...
user avatar
2 votes
0 answers
125 views

Updating modules creates An AJAX HTTP request terminated abnormally error

Drupal 7.77. I have three modules that need to be updated. Trying to update any one of them results in this error: An AJAX HTTP request terminated abnormally. Debugging information follows. Path: ...
user avatar
0 votes
0 answers
63 views

PHP Error occuring when updating, clearing cache or install/uninstall modules?

I am getting this below error when doing the actions of clearing cache, or install/uninstall module, running update.php. InvalidArgumentException: Routing requirement for "_user_is_logged_in"...
user avatar
1 vote
0 answers
811 views

Issues updating core to 9.1.2 with Composer

On my local site, I had updates for 2 modules and Drupal core. To update, I typed in composer update, which had worked for me previously just fine. Composer indicated everything updated, although on ...
user avatar
  • 11
0 votes
1 answer
49 views

Fatal error: Cannot redeclare uc_order_views_data()

After clicking Continue @ /update.php, we receive: Fatal error: Cannot redeclare uc_order_views_data() (previously declared in /home/user/public_html/sites/all/modules/ubercart/uc_order/views/...
user avatar
  • 57
0 votes
0 answers
31 views

Unable to access Admin page after core update (minor version 7.? to 7.77)

After manually updating Drupal 7 core - I am unable to access the /admin or /user page. Here's my process: backed up db entered maintenance mode manually downloaded Drupal 7.77 (deleted default '...
user avatar
  • 1
4 votes
1 answer
40 views

List module releases that are "Recommended by the project’s maintainer."

On the project page of a Drupal module there is a list of releases. The project owner can set for each one whether it is recommended, and the page displays that fact. For example if there are ...
user avatar
  • 767
0 votes
0 answers
32 views

I updated a contributed module in error

I updated Panels in Drupal 7, forgetting that I had customised it, panicked, deleted the updated module and replaced the correct one via ftp. Now I can't run update.php as it says the website ...
user avatar
0 votes
1 answer
1k views

Problem upgrading via Composer

I am currently trying to upgrade my site from drupal 8.9 to drupal 9. I ran these commands to give permissions: $ chmod 777 web/sites/default $ find web/sites/default -name "*settings.php" -...
user avatar
1 vote
1 answer
374 views

How can I update the name of a taxonomy term using hook_update_N?

I have taxonomy terms of color and I made a typo in one of the color name. It should be 'Crystal Black Pearl' instead of 'Crsytal Black Pearl'. How do I change it using hook_update_N ? Thank you in ...
user avatar
0 votes
1 answer
82 views

Failure in "file module Update #8700"

file module Update #8700 •Failed: Drupal\Core\Field\FieldException: Field storage definition for 'type' could not be found. in Drupal\Core\Entity\Sql\SqlContentEntityStorageSchema->getEntitySchema(...
user avatar
1 vote
1 answer
778 views

Missing updates for Media

After much package dependency finagling via composer, updating PHP, updating MariaDb, etc.. (not as bad as D7 => D8 but still harder than I'd hoped) I managed to update from 8.9 => 9.0.7. I was ...
user avatar
0 votes
1 answer
420 views

Updating core to 8.9.6 fails

I'v installed Drupal 8 by composer. Everything worked fine, but when I tried to update core from 8.9.1 to 8.9.5 in ended up in 8.9.4. Today I tried to update from 8.9.4. to 8.9.6 by changing composer....
user avatar
  • 23
0 votes
1 answer
286 views

Failed to update and now causes module errors

I recently attempted to update a Drupal 8 site from 8.7.7 to 8.9.3 and had a failure due to server not being on the right version of php7 to run the new 8.9 version. As a result I am now getting ...
user avatar
0 votes
0 answers
667 views

Update error and Basic Auth / Symfony errors

I'm running 2 servers: TEST and PROD. I've been using Composer to install updates. They are running on Windows Server 2016 using IIS. I copied composer.json and composer.lock from TEST over to PROD. ...
user avatar
0 votes
0 answers
40 views

Drupal selectors changed after upgrading from 8.8.5 to 8.9.3

I just upgraded from 8.8.5 to 8.9.3 and I am noticing some of my CSS was broken. After inspecting, I am noticing the selectors on my view have changed. Before my filter submit button was selected via ...
user avatar
  • 405
2 votes
1 answer
204 views

How the handle an override of the schema of a field type

To add other data to a state field, I overrode 2 functions of the StateItem class (from the state_item module) public static function schema(FieldStorageDefinitionInterface $field_definition) { ...
user avatar
  • 554
1 vote
2 answers
353 views

The commerce_product.field_produit_labels field needs to be updated

almost every time I delete a field in my product types I get this message popping up in my dashboard : ENTITY/FIELD DEFINITIONS Mismatched entity and/or field definitions The following changes were ...
user avatar
  • 61
1 vote
1 answer
131 views

Admin UI doesn't see the correct PHP version [closed]

I have a local development site on Ubuntu and currently my system has PHP 7.4 installed and I can see Drupal site using the correct version in terminal using drush st but if I browse to Admin UI and ...
user avatar
0 votes
1 answer
269 views

Search is broken after updating search_api_solr from 8.x-2.7 to 4.1.4

My Drupal site has a search form, which connects to a Solr index. All of this was working smoothly. But then I updated drupal/search_api_solr from 8.x-2.7 to 4.1.4 (which also required me to update ...
user avatar
1 vote
1 answer
348 views

Manually removing an orphaned entity type

I have been handed an older Drupal 8 site and asked to update it to run with composer. I didn't do it in the cleanest possible way but it is working. I have run into trouble updating it. I am most of ...
user avatar
  • 1,105

1
2 3 4 5
14